# CraftPresence

## [v2.9.0](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.9.0) (2023-11-14)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.8.12...v2.9.0) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Fix] Fixed luacheck warnings  
- [Fix] Removed debug comments from LDBIcon Update  
    - The `WOW\_PROJECT\_ID == WOW\_PROJECT\_MAINLINE` line will need revision, since Private Servers are a thing. For now though, the fallback logic will still work fine for those scenarios.  
- [Change] Implemented support for the Addon Compartment Frame  
    - Originally implemented at the start of Dragonflight, then implemented into LDBIcon later  
    - Added `showCompartmentEntry` as a separate toggle, also saved in the IconDB  
    - Added new command, `/cp compartment`, which is also bound to a new `IsCompartmentSupported` check (Determined in `LDBIcon`)  
- [Fix] Implement additional sanity checks for `showMinimapIcon`  
    - Setting and Command are now both disabled if `LDBIcon` is unavailable  
    - Adjusted README for Classic Wow 1.15.x  
- [Change] Added `CraftPresenceIconDB` to properly save minimap values  
    - Since support for LDBIcon was implemented, the `minimapState` was being stored locally, causing some attributes to be lost (Such as the minimap position)  
    - With the implementation of a new `SavedVariable` field for these properties, `minimapPos` is now properly saved.  
- [Change] Re-Added support for TurtleWow  
    - Only TurtleWow 1.17.x at this time  
- [Change] Updated LibDBIcon  
    - Forgot to update this quite awhile ago  
